<?php
// Edit this 4 strings to match your system
require_once('adodb/adodb.inc.php'); //biblioteca necessaria para trabalhar com adodb
require_once('Amfphp/Services/conexao.php');
echo "Atualizacao do saldo para a versao Premium <br>";
$con = new conexao();

echo "Atualizando saldos <br>";
$sql = "select * from empresa where idempresa = 1 order by idempresa ASC";
$res = $con->banco->Execute($sql);
while($reg = $res->FetchNextObject()){
	$idempresa = $reg->IDEMPRESA;
	echo "<h1>EMPRESA - $idempresa </h1><br>";
	
	$sql_u = "select * from usuario where del='NAO' and idempresa='$idempresa'";
	$res_u = $con->banco->Execute($sql_u);
	while($reg_u = $res_u->FetchNextObject()){
		$login 	   = $reg_u->LOGIN;
		$idusuario = $reg_u->IDUSUARIO;
		$limitecsp = $reg_u->CSP_LIMITE;
		
		$sql3 = "select sum(maxconnections) as qtde from csp_user where del='NAO' and idempresa='$idempresa' and situacao='Ativo' and enabled='Ativo' and id in (select idprovedor from provedor where idrevendedor='$idusuario' and idempresa='$idempresa' and del='NAO' and situacao='Ativo' and clienteteste='0')";
		$resultado3 = $con->banco->Execute($sql3);
		$registro3 = $resultado3->FetchNextObject();
		$qtde_cliente = $registro3->QTDE;
					
		$sql4 = "select sum(csp_limite) as qtde from usuario where del='NAO' and situacao='Ativo' and idrevendedor='$idusuario' and idusuario <> '$idusuario' and idempresa='$idempresa'";
		$res4 = $con->banco->Execute($sql4);
		$reg4 = $res4->FetchNextObject();
		$qtde_revenda = $reg4->QTDE;
		
		$total = $qtde_revenda + $qtde_cliente;	
			
		if ($limitecsp <= $total){
			$atualiza_saldo = 0;
			$atualiza_limite = $total;
		} else {
			$atualiza_saldo = $limitecsp - $total;
			$atualiza_limite = $limitecsp;
		}
						
		$sql_atualiza = "update usuario set csp_limite = '$atualiza_limite', csp_saldo = '$atualiza_saldo' where idusuario = '$idusuario' and idempresa='$idempresa'";
		$con->banco->Execute($sql_atualiza);
		echo "<strong>$sql_atualiza <br></strong>";
		echo "$idusuario - $login -- Limite: $limitecsp -- ($qtde_cliente + $qtde_revenda = $total) <br>";
	}
}
echo "C O N C L U I D O";


?>
